Bug 620355 (CVE-2010-2793) - CVE-2010-2793 spice activex/spicec named pipe races
Summary: CVE-2010-2793 spice activex/spicec named pipe races
Status: NEW
Alias: CVE-2010-2793
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20101206,repo...
Keywords: Security
Depends On: 594000 620484
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-02 09:54 UTC by Petr Matousek
Modified: 2018-03-05 14:52 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0818 normal SHIPPED_LIVE Important: Red Hat Enterprise Virtualization Manager security update 2010-12-06 18:59:30 UTC

Description Petr Matousek 2010-08-02 09:54:39 UTC
There is a race in spice-activex when a local attacker is able to create a named pipe with the expected name that is used for parameter passing (password, cert file) between spice-activex and spice client. 

Also ImpersonateNamedPipeClient() function that allows server to impersonate security context of connected user could be used to gain privileges of the spice user.

Comment 5 errata-xmlrpc 2010-12-06 18:59:35 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Virtualization Manager

Via RHSA-2010:0818 https://rhn.redhat.com/errata/RHSA-2010-0818.html


Note You need to log in before you can comment on or make changes to this bug.